POST
/
v1
/
onboard
curl
curl -X POST "https://dev-partner-api.sannos.ai/v1/onboard" \
  -H "X-API-Key: $EVE_PARTNER_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"string","legalName":"string","country":"string","taxId":"string","phone":"string","address":"string","postalCode":"string","city":"string"}'
{
  "companyId": "<string>",
  "businessEntityId": "<string>",
  "message": "<string>",
  "companyApiKey": "<string>"
}

Authorizations

X-API-Key
string
header
required

API Key provided by Eve Admin Portal. Include this header in all authenticated requests.

Body

application/json
name
string
country
string | null
taxId
string | null
phone
string | null
address
string | null
postalCode
string | null
city
string | null

Response

companyId
string
businessEntityId
string
message
string
companyApiKey
string